@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,400;0,700;1,400&display=swap');
:root{
    --main-color: #00225c;
    --black: #000;
    --light-color: #868e96;
}

*{
    font-family: 'Montserrat', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    border: none;
    outline: none;
    transition: all .2s linear;
}

::selection{
    background: var(--main-color);
    color: #fff;
}

html{
    font-size: 62.5%;
    scroll-behavior: smooth;
    scroll-padding-top: 7rem;
}

html::-webkit-scrollbar{
    width: 1rem;
}

html::-webkit-scrollbar-track{
    background: #fafafa;
}

html::-webkit-scrollbar-thumb{
    background: var(--main-color);
    border-radius: 5rem;
}

.btn-wsp{
    position: fixed;
    width: 60px;
    height: 60px;
    line-height: 60px;
    bottom: 30px;
    right: 30px;
    background: #0df053;
    color: #fff;
    border-radius: 50px;
    text-align: center;
    font-size: 30px;
    box-shadow: 0 1px 10px rgba(0, 0, 0, .3);
    z-index: 100;
}

.btn-wsp:hover{
    text-decoration: none;
    background: #fff;
    color: #0df053;
    transition: 0.5s;
}

section{
    margin-top: auto;
    padding: 2rem 9%;
}

.heading{
    font-size: 4rem;
    text-align: center;
    padding-top: 4rem;
    padding-bottom: 2rem;
    color: var(--main-color);
    text-transform: uppercase;
    text-shadow: 1px 1px var(--light-color);
}

.btn{
    margin-top: 1rem;
    display: inline-block;
    padding: .8rem 3rem;
    background: var(--main-color);
    font-weight: 500;
    cursor: pointer;
    color: #fff;
    border: 1px solid #fff;
    font-size: 1.7rem;
    border-radius: 1rem;
}

.btn:hover{
    background: #00D2FC;
    letter-spacing: .1rem;
}

/*--header--*/

.header{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    padding: 3rem 9%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background-color: #00225c;
    box-shadow: 0rem .1rem .5rem rgba(0, 0, 0, .1);
    z-index: 1000;
}

.logo{
    height: 12rem;
    width: 12rem;
}

.logo img{
    height: 100%;
    width: 100%;
}

.header h1{
    color: #fff;
    font-size: 2rem;
}

.header .navbar a{
    font-size: 1.7rem;
    color: #fff;
    margin: 0 1rem;
}

.header .navbar .active{
    text-decoration: underline;
}

.header .navbar a:hover,
.header .navbar .active{
    color: #00D2FC;
}

.header .icons div{
    font-size: 2.5rem;
    color: #fff;
    padding: .5rem;
    cursor: pointer;
    margin-left: 1rem;
}

.header .icons div:hover{
    transform: rotate(180deg);
    color: #00D2FC;
}

.header .icons a{
    font-size: 1.5rem;
    letter-spacing: .1rem;
    color: #fff;
    background: #00D2FC;
    font-weight: 500;
    text-transform: uppercase;
    padding: 1rem 2rem;
    border: none;
    border-radius: 1rem;
}

.header .icons a:hover{
    background: var(--main-color);
    border: 1px solid #00D2FC;
    color: #00D2FC;
}

#menu-btn{
    display: none;
}

.header.active{
    padding: 2rem 9%;
}

.schedule{
    background: #eee;
}

/*-- home --*/
.home{
    padding: 0%;
    margin: 18rem 2rem 0 2rem;
}

.home .home-slider .box{
    min-height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 2rem;
    background-size: cover !important;
    background-position: center !important;
}

.home .home-slider .box .content{
    text-align: center;
    max-width: 70rem;
    text-shadow: 1px 1px var(--main-color);
}

.home .home-slider .box .content h3{
    font-size: 5rem;
    color: #fff;
    text-transform: uppercase;
    transition-delay: .2s;
}

.home .home-slider .box .content p{
    font-size: 1.7rem;
    font-weight: bold;
    color: #fff;
    padding: 1rem 0;
    transition-delay: .4s;
    background: rgba(0, 0, 0, .3);
}

.home .home-slider .box .button .btn-1{
    background-color: var(--main-color);
    color: #fff;
    border: 1px solid #fff;
    border-radius: 1rem;
}

.home .home-slider .box .button .btn-1:hover{
    background: #00D2FC;
}

.home .home-slider .box .button{
    transition-delay: .6s;
}

.home .home-slider .box .content > *{
    transform: translateY(2rem);
    opacity: 0;
}

.home .home-slider .swiper-slide-active .content > *{
    transform: translateY(0);
    opacity: 1;
}

/*--feature--*/
.feature .feature-slider{
    padding-bottom: 4rem;
}

.feature .feature-slider .box{
    position: relative;
    text-align: center;
    overflow: hidden;
    margin: 1rem 0;
}

.feature .feature-slider .box .image{
    height:40rem;
    width: 100%;
    overflow: hidden;
}

.feature .feature-slider .box .image img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.feature .feature-slider .box:hover .image img{
    transform: scale(1.1);
}

.feature .feature-slider .box .content{
    padding: 1rem 0;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    align-items: center;
}

.feature .feature-slider .box .content h3{
    font-size: 2rem;
    font-weight: bold;
    color: #fff;
    background: rgba(0, 0, 0, .3);
    padding: .2rem;
    margin-top: .5rem;
}

/*--schedule--*/
.schedule .box-container{
    justify-content: center;
    display: flex;
}

.schedule .box-container .box{
    display: block;
    margin: 2rem;
    box-shadow: 1rem 1rem rgba(0, 0, 0, .3);
    border-radius: 10%;
}

.schedule .box-container .box .image{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.schedule .box-container .box .image img{
    width: 100%;
    height: 100%;    
    border-radius: 10%;
}

/*-- galery --*/
.container-img{
    padding-top: 13rem;
    width: 100%;
    max-width: 1100px;
    margin: auto;
    margin-top: 60px;
    margin-bottom: 60px;
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 250px;
    grid-gap: 20px;
}

.container-img .box-img figure{
    width: 100%;
    height: 100%;
}

.container-img .box-img img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.container-img .box-img:nth-child(1){
    grid-column-start: span 2;
}

.container-img .box-img:nth-child(4){
    grid-row-start: span 2;
}

/* -- contact form --*/
.content {
    margin-top: 10rem;
    margin-left: auto;
    margin-right: auto;
    padding: 1.5em;
    padding-top: 18rem;
    margin: 2%;
}

ul {
    list-style: none;
    padding: 0;
}

.contact-form {
    background: var(--main-color);
    border-right: #fff solid;
}

.contact-form form {
    display: grid;
    grid-template-columns: 1fr 1fr;
}
.contact-form h3{
    font-size: 3rem;
    color: #fff;
    text-align: center;
    margin-bottom: 3rem;
}

.contact-form form label {
    display: block;
    font-size: 1.5rem;
}

.contact-form form p {
    color: #fff;
    margin: 0;
    padding: 1em;
}

.contact-form form .block {
    grid-column: 1 / 3;
}

.contact-form form select{
    font-size: 1.5rem;
}

.contact-form form button,
.contact-form form input,
.contact-form form select,
.contact-form form textarea {
    width: 100%;
    padding: .7em;
    border: none;
    background: var(--main-color);
    outline: 0;
    color: #fff;
    border-bottom: 1px solid #00D2FC;
}

.contact-form form button {
    margin-top: 1rem;
    display: inline-block;
    padding: .8rem 3rem;
    background: #00D2FC;
    font-weight: 500;
    cursor: pointer;
    color: #fff;
    border: 1px solid #fff;
    font-size: 1.7rem;
    border-radius: 1rem;
}

.contact-form form button:hover,
.contact-form form button:focus {
    background: #fff;
    color: var(--main-color);
    transition: background-color 1s ease-out;
    outline: 0;
}

/* CONTACT INFO */
.contact-info {
    background: var(--main-color);
}
.contact-info h4{
    margin-bottom: 5%;
    color: #fff;
    font-size: 3rem;
    text-align: center;
}
.contact-info p{
    font-size: 1.5rem;
    margin-top: 5%;
    color: #00D2FC;
}
.contact-info ul{
    font-size: 1.2rem;
    color: #fff;
    text-align: center;
    margin: 0 0 1rem 0;
}
.contact-info li{    
    margin-bottom: 0.3rem;
}
.contact-info li a{
    color: #fff;
    text-decoration: none;
}
.contact-wrapper {
    display: grid;
    grid-template-columns: 2fr 1fr;
}
.contact-wrapper > * {
    padding: 2em;
}
.contact-info h4,
.contact-info ul,
.contact-info p {
    text-align: left;
}

/*-- modal --*/
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 25%;
    height: 25%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4); 
  }
  
  .modal-content {
    background-color: var(--main-color);
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    color: #fff;
  }

/*-- institucional --*/
.institucional{
    display: flex;    
    margin-top: 13rem;
    margin-left: 0;
    background: #fff;
    color: var(--main-color);
}

.institucional h1{
    margin-top: 8rem;
    font-size: 3rem;
}

.institucional .historia{
    width: 60%;
    margin-left: 2rem;
}

.institucional .historia p{
    font-size: 1.5rem;
    margin-bottom: .5rem;
}

.institucional .imagen{
    float: inline-start;
    height: 40rem;
    width: 40%;
    margin-top: 8rem;
    box-shadow: 0.5rem 0.5rem 0.5rem rgba(0, 0, 0, .3);
    border-radius: 10%;
}

.institucional .imagen img{
    height: 100%;
    width: 100%;
    margin-right: 0;
    object-fit: cover;
    border-radius: 10%;
}

/*-- activity --*/
.activities{    
    margin-top: 14rem;
    background: #fff;
    color: var(--main-color);
}

.activities h2{
    margin-top: 8rem;
}

.activities h3{
    margin-top: 2rem;
    font-size: 3rem;
}

.activity .box{
    display: flex;
    margin-top: 2rem;
    flex-direction: row;
}

.activity .box .image{
    display: flex;
    height: 30rem;
    width: 30rem;
    object-fit: cover;
    box-shadow: 0.5rem 0.5rem 0.5rem rgba(0, 0, 0, .3);
    border-radius: 10%;
}

.activity .box .image img{
    height: 100%;
    width: 100%;
    border-radius: 10%;
}

.activity .box .parrafo{
    width: 50%;
}

.activity .box .parrafo p{
    display: flex;
    flex-direction: row;
    font-size: 1.5rem;
    margin-left: 2rem;
}

.activity .box h3{
    font-size: 2.5rem;
    margin: 1rem;
}

/*-- footer --*/
.footer{
    background: var(--main-color);
    color: #fff;
}

.footer .box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(25rem, 1fr));
    gap: 1.5rem;
}

.footer .box-container .box h1{
    font-size: 2.5rem;
    font-weight: 600;
    padding-bottom: 1rem;
}

.footer .box-container .box .text{
    color: #fff;
    font-size: 1.3rem;
    font-weight: normal;
    line-height: 1.8;
    padding-bottom: 1rem;
}

.footer .box-container .box .icons{
    padding: 1rem 0;
}

.footer .box-container .box .icons a{
    text-decoration: none;
    color: #fff;
}

.footer .box-container .box .icons a i{
    height: 5rem;
    width: 5rem;
    line-height: 5rem;
    background: #fff;
    text-align: center;
    font-size: 2rem;
    border-radius: 50%;
    margin: .5rem;
    color: var(--main-color);
}

.footer .box-container .box .icons a i:hover{
    background: #00D2FC;
}

.footer .box-container .box .icon a{
    display: block;
    color: #fff;
    font-size: 1.5rem;
    margin: 1.5rem 0;
}

.footer .box-container .box .icon a i{
    margin-right: 2rem;
    color: #fff;
}

.footer .box-container .box .icon a:hover i{
    padding-right: 2rem;
    color: #00D2FC;
}

.footer .box-container .box .icon a:hover{
    padding-right: 2rem;
    color: #00D2FC;
}

.copyright{
    font-weight: 100;
    font-size: 1rem;
    text-align: center;
}

/*-- media queries --*/
@media (max-width:991px){

    html{
        font-size: 55%;
    }
    .header{
        padding: 2rem;
    }
    .header.active{
        padding: 2rem;
    }
    .home .home-slider .box .content{
        display: flex;
        flex-direction: column;
    }
    .feature .box .content{
        display: flex;
        flex-direction: column;
    }
    section{
        padding: 2rem;
    }
    .activity .box{
        flex-direction: column;
        text-align: center;
    }
    .activity .box .parrafo p{
        flex-direction: column;
        margin-left: 0;
        text-align: center;
        margin-top: 2rem;
    }

    .activity .box .parrafo{
        width: 100%;
    }

    .activities h3{
        text-align: center;
    }

    .activities h2{
        text-align: center;
    }

    .activity .box .image{
        width: 100%;
    }

    .activity .box .image img{
        object-fit: cover;
    }

    .institucional{
        flex-direction: column;
    }

    .institucional h1{
        text-align: center;
        margin-top: 3rem;
        margin-bottom: 1rem;
    }

    .institucional .historia{
        width: 100%;
    }

    .institucional .historia p{
        margin-top: 1rem;
        text-align: center;
    }

    .institucional .imagen{
        float: inline-start;
        width: 100%;
    }
    /* CONTACT INFO */
    .contact-info {
        display: flex;
        flex-direction: column;
        width: 100%;
        margin-bottom: 1px;
        align-items: center;
    }
    .contact-info p{
        text-align: center;
    }
    .contact-info ul{
        text-align: center;
    }
    .contact-info li a{
        text-align: center;
    }
    /* -- contact form --*/
    .contact-form {
        display: inline-block;
        flex-direction: column;
        width: 100%;
        align-items: center;
        justify-content: center;
    }
    .content{
        display: flex;
        flex-direction: row;
        width: 100%;
    }
    .contact-wrapper {
        display: flex;
        flex-direction: column;
    }
}

/*-- max width 768px --*/
@media (max-width:768px){

    #menu-btn{
        display: inline-block;
    }
    .header .navbar{
        position: absolute;
        top: 100%;
        right: 0;
        left: 0;
        background: var(--main-color);
        border-top: .1rem solid #eee;
        clip-path: polygon(0 0 , 100% 0 , 100% 0 , 0 0);
    }
    .header .navbar.active{
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    }
    .header .navbar a{
        display: block;
        margin: 2rem;
        font-size: 2rem;
    }
    .header h1{
        color: #fff;
        font-size: 2.5rem;
        text-align: center;
    }
    .feature .feature-slider .box .content h3{
        padding: 1rem;
    }

    .schedule .box-container{
        flex-direction: column;
    }

    .container-img{
        width: 95%;
        grid-template-columns: repeat(2, 1fr);
        grid-gap: 10px;
        grid-template-rows: 200px;
    }

    .container-img .box-img:nth-child(1){
        grid-column-start: span 1;
    }
}

/*-- max width 450px --*/
@media (max-width:450px){
    
    html{
        font-size: 50%;
    }
    .header .icons a{
        letter-spacing: none;
        font-size: 1.3rem;
        padding: 1rem;
    }
    .container-img{
        width: 90%;
        grid-template-columns: repeat(1, 1fr);
    }

    .container-img .box-img img{ 
        height: 200px;
    }
}




